[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TFPList.Assign

Assign performs the given operation on the list.

## Declaration

Source position: classesh.inc line 262

`public procedure TFPList.Assign(`
`ListA: TFPList;`
`AOperator: TListAssignOp = laCopy;`
`ListB: TFPList = Nil`
`);`

## Description

Assign can be used to merge or assign lists It is an extended version of the usual TPersistent.Assign mechanism. The arguments ListA and ListB are used as sources of pointers to add or remove elements from the current list, depending on the operation AOperation. The available operations are documented in the TListAssignOp type.

## See also

TFPList.Add |  | Adds a new pointer to the list.
TFPList.Clear |  | Clears the pointer list.

Documentation generated on: Feb 26 2014